#ifndef __ANALOGCHANNELCTRL_H
#define __ANALOGCHANNELCTRL_H
/* 直流偏置 控制。===*/
/*   whichChStartWith_1:哪个通道，从1开始 */
/*   dac16bitValue:16位DAC的值 */
extern void AnalogChCtrlBias(short whichChStartWith_1,unsigned short dac16bitValue);

/* Offset 控制。==== */
/*   whichChStartWith_1:哪个通道，从1开始 */
/*   dac16bitValue:16位DAC的值 */
extern void AnalogChCtrlOffset(short whichChStartWith_1,unsigned short dac16bitValue);

/* 粗调增益 控制。==== */
/*   whichChStartWith_1:哪个通道，从1开始 */
/*   value:控制字，以硬件可接受的值为标准 */
extern void AnalogChCtrlCoarse(short whichChStartWith_1,unsigned char value);
/* 阻抗、带宽限制、衰减倍率、放大倍率 控制。==== */
/*   ImpedanceBitSetting:从bit0开始依次表示各个通道，bit值约定： 0=高阻，1=高阻 */
/*   pBandwithLimitBitSetting:带宽限制,数组，每个通道的带宽值，以MHz为单位 */
/*   pAttenuatorFactor1:每个通道的第一级衰减倍率，实际数整数，无衰减为1*/
/*   pAttenuatorFactor2:每个通道的第一级衰减倍率，实际数，整数，无衰减为1*/
/*   pAmplifierFactor1:每个通道的放大倍率，实际数，整数，无放大为1*/
/*   pAmplifierFactor2:每个通道的放大倍率，实际数，整数，无放大为1*/
extern void AnalogChCtrlStateSwitch(unsigned char ImpedanceBitSetting,unsigned short *pBandwithLimitBitSetting,unsigned short *pAttenuatorFactor1,unsigned char *pAttenuatorFactor2,unsigned char *pAmplifierFactor1,unsigned char *pAmplifierFactor2);
/* 电源控制 */
/* Power_1EQ_ON:1=打开电源，0：关闭电源*/ 
extern void AnalogChCtrlPowerCtrl(unsigned char Power_1EQ_ON);

/* 上电初始化*/
/* 包括设置上电初始化，通道的初始状态[没有上位机控制的情况下的]*/
extern void AnalogChCtrl_GPIO_Init(void);
extern void AnalogChCtrl_ProtectProcess(void);
extern void AnalogChProtect_GPIO_Init(void);
extern void AnalogChCtrl_ICPower_GPIO_Init(void);
extern void ICPowerCtrl(uint8_t on);
 
#endif
